{"openapi":"3.0.4","info":{"title":"Run a Worker","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/workflow"}],"paths":{"/api/workers/{scope}/{code}/$run":{"post":{"tags":["Workers"],"summary":"Run a Worker","operationId":"RunWorker","parameters":[{"name":"scope","in":"path","description":"Scope of the worker","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"Code of the worker","required":true,"schema":{"maxLength":64,"minLength":1,"type":"string"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the Worker. Defaults to returning the latest version of the Worker if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerRequest"},"example":{"parameters":[{"name":"test-parameter","value":true}],"workerTimeout":120}},"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerRequest"},"example":{"parameters":[{"name":"test-parameter","value":true}],"workerTimeout":120}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerRequest"},"example":{"parameters":[{"name":"test-parameter","value":true}],"workerTimeout":120}},"application/*+json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerRequest"},"example":{"parameters":[{"name":"test-parameter","value":true}],"workerTimeout":120}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerResponse"},"example":{"runId":"71beb2cb-be3a-4662-b8ee-e5ded63b957a"}},"text/plain":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerResponse"},"example":{"runId":"71beb2cb-be3a-4662-b8ee-e5ded63b957a"}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/RunWorkerResponse"},"example":{"runId":"71beb2cb-be3a-4662-b8ee-e5ded63b957a"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/workflow/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}